{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Home</title>
{% endblock meta %}

{% block content %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

<article id="home" style="margin-top: 90px">
  <div class="container pt-5">
    <div class="row">
      <div class="col-md-12">
        <h5 style="color: white;">Buku apa yang ingin kamu cari?</h5>
        <input id="kataKunci" placeholder="Masukkan kata kunci">
        <br><br>
        {% if user.is_authenticated %}
        <h6 style="color: wheat;">Info : Anda telah mengunjungi halaman ini {{ count }} kali</h6>
        {% endif %}
        <div class="content">
          <table id="tabelhasil" class= "table" style="background-color:rgb(195, 218, 236);">
            <thead class="thead-dark">
              <tr>
                <th scope="col" class="align-middle">No.</th>
                <th scope="col" class="align-middle">Cover Buku</th>
                <th scope="col" class="align-middle">Judul</th>
                <th scope="col" class="align-middle">Jumlah Halaman</th>
                <th scope="col" class="align-middle">Penulis</th>
                <th scope="col" class="align-middle">Penerbit</th>
                <th scope="col" class="align-middle">Tanggal Publikasi</th>
                <th scope="col" class="align-middle">Link Download</th>
              </tr>
            </thead>
            <tbody id="konten_buku">
            </tbody>
            </table>
        </div>
      </div>
    </div>
  </div>
</article>

<script type="text/javascript">
    $("#kataKunci").keyup( function() {
        var inp = $("#kataKunci").val();
        console.log(inp);
        $.ajax({
            url: '/daftar-buku?q=' + inp,
            success: function(data) {
                console.log(data);
                var array_items = data.items;
                $("#konten_buku").empty();
                for (var i = 0; i < array_items.length; i++) {
                    var result = "<tr><th scope='row' class='align-middle text-center'>" + (i + 1) + "</th>" +
                        "<td><img class='img-fluid' style='width:22vh' src='" +
                        array_items[i].volumeInfo.imageLinks.smallThumbnail + "'></img>" + "</td>" +
                        "<td class='align-middle'>" + array_items[i].volumeInfo.title + "</td>" +
                        "<td class='align-middle'>" + array_items[i].volumeInfo.pageCount + "</td>" +
                        "<td class='align-middle'>" + array_items[i].volumeInfo.authors + "</td>" +
                        "<td class='align-middle'>" + array_items[i].volumeInfo.publisher + "</td>" +
                        "<td class='align-middle'>" + array_items[i].volumeInfo.publishedDate + "</td>" +
                        "<td class='align-middle'><a href='" + array_items[i].accessInfo.pdf.acsTokenLink + "'>" + array_items[i].accessInfo.pdf.acsTokenLink + "</a></td></tr>"
                    $('#konten_buku').append(result);
                }
            }
        })
    });
</script>
{% endblock content %}